MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001140XdebugUsage problems (Wrong Results)public2015-04-10 22:222015-06-14 21:46
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3.2 
Target Version2.3.3Fixed in Version2.3.3 
Summary0001140: Tracing with __debugInfo() crashes Xdebug due to a stack overflow
DescriptionXdebug uses __debugInfo to obtain information, but as that sometimes triggers another call to __debugInfo (because it uses a function with $this), we get a nice stack overflow.
Steps To Reproducephp -dxdebug.auto_trace=1 -dxdebug.collect_params=3 -r 'class Foo { function __debugInfo() { get_object_vars($this); return []; } }; $a = new Foo; var_dump($a );'
TagsNo tags attached.
Operating System
PHP Version5.6-dev
Attached Files

- Relationships

-  Notes
(0003119)
derick (administrator)
2015-06-14 21:46

Fixed for 2.3.3 and 3.0dev

- Issue History
Date Modified Username Field Change
2015-04-10 22:22 derick New Issue
2015-04-10 22:22 derick Status new => assigned
2015-04-10 22:22 derick Assigned To => derick
2015-06-14 21:46 derick Note Added: 0003119
2015-06-14 21:46 derick Status assigned => closed
2015-06-14 21:46 derick Resolution open => fixed
2015-06-14 21:46 derick Fixed in Version => 2.3.3
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker